%define upstream_name    File-PathInfo
%define upstream_version 1.27

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Oo access to path variables stat data about a file on disk
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Smart::Comments)
BuildRequires: perl(Time::Format)
BuildArch: noarch

%description
This provides an object oriented interface to things you want to know about
a file, such as extension, absolute path, relative path, size, filename
(without extension), etc. It is a sort of swissarmy knife of file info.

A lot of times you need to know a file's absolute path, it's absolute
location, maybe it's relative location to something else (like DOCUMENT
ROOT), then you need to maybe know the relative path and relative location
for a file. You need to know if a file is a directory, what it's extension
is. You can commonly use regexes to do this.

This module provides commonly needed variables.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml README Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.270.0-5.mga5
+ Revision: 746883
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.270.0-4.mga5
+ Revision: 684750
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.270.0-3.mga4
+ Revision: 511674
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.270.0-2.mga3
+ Revision: 367305
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 07 2011 kharec <kharec> 1.270.0-1.mga2
+ Revision: 178260
- imported package perl-File-PathInfo


* Wed Dec 07 2011 cpan2dist 1.27-1mga
- initial mageia release, generated with cpan2dist
